Subject: Re: [rtcweb] MTI Video Codec: a novel proposal
From: Alexandre GOUAILLARD <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 11 Nov 2014 13:23:16 +0800
List-Id: Real-Time Communication in WEB-browsers working group list <rtcweb.ietf.org>

+1 for this proposal.

Thanks adam for doing the background work to bring some parties closer to a
consensus.

On Tue, Nov 11, 2014 at 11:19 AM, Bernard Aboba <[email-masked]>
wrote:

> I do not get it either. It seems like mobile apps (which count as devices)
> using a WEBRTC stack now have to include both codecs regardless of whether
> they need them. Do we really think app developers will pay attention? Why
> should they?
>
>
>
> > On Nov 10, 2014, at 3:20 PM, David Singer <[email-masked]> wrote:
> >
> >
> >> On Nov 10, 2014, at 17:10 , Ron <[email-masked]> wrote:
> >>
> >> His option guarantees that anyone implementing only their preferred
> >> codec will be able to interop with any compliant implementation,
> >> though it may not be able to do so with another non-compliant
> >> implementation that similarly opted out of supporting that codec.
> >
> > I am sorry, I don’t get it.  The spec. defines “WebRTC-compatible
> endpoint”
> >
> > A WebRTC-compatible endpoint is an endpoint that is capable of
> >      successfully communicating with a WebRTC endpoint, but may fail to
> >      meet some requirements of a WebRTC endpoint.  This may limit where
> >      in the network such an endpoint can be attached, or may limit the
> >      security guarantees that it offers to others.
> >
> > but says nothing about it being ‘non-compliant’.  So anyone can say “I
> claim that this is compliant to the spec.” (as a webrtc-compatible
> endpoint) — and it might not interoperate. Basically, this proposal assigns
> different names to the devices that implement both, and those that
> implement only one or none, but does that really further the cause of
> interoperability?
> >
> > David Singer
> > Manager, Software Standards, Apple Inc.
> >
> > _______________________________________________
> > rtcweb mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/rtcweb
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>

-- 
Alex. Gouaillard, PhD, PhD, MBA
------------------------------------------------------------------------------------
CTO - Temasys Communications, S'pore / Mountain View
President - CoSMo Software, Cambridge, MA
------------------------------------------------------------------------------------
sg.linkedin.com/agouaillard

   -